#include "terms.h"


Atomic 	A_RBRA,	A_RCET,	A_FBRA,	A_FCET,	A_QBRA,	A_QCET,
	A_POINT,A_COMMA,A_SECO,	A_QUOTE, A_RQUOTE, A_DQUOTE, A_QBRACET, A_FBRACET;

Atom OPR_MINUS, OPR_PLUS, OPR_MLT, OPR_DIV, OPR_CARET, OPR_POW, OPR_CLNMIN,
	OPR_COMMA, OPR_SECO, OPR_EQSIGN, OPR_COLON, OPR_USCORE, OPR_RARROW;

Atom OPR_PARAMETER,	OPR_PARTICLE, OPR_FIELD, OPR_GROUP, OPR_REPRES;
Atom OPR_SCALAR, OPR_VECTOR, OPR_SPINOR, OPR_TENSOR, OPR_MASS, OPR_WIDTH,
      OPR_WILD, OPR_READ, OPR_EDIT, OPR_FUNCTION;
Atom OPR_LET, OPR_LTERM, OPR_MODEL, OPR_CLEAR, OPR_SPECIAL;
Atom OP_PREFIX,OP_INFIX,OP_POSTFIX;
Atom A_COLOR, A_COLOR_LAMBDA, A_COLOR_F, A_LEFT, A_RIGHT,
    A_GAUGE, A_GHOST, A_END, A_S_COLOR;
Atom PROP_TYPE, PROP_INDEX;
Atom A_I, A_LORENTZ, A_MTERM, A_ALG1, A_ALG2, A_MOMENT, A_SQRT, A_COS, A_SIN,
	A_DELTA,A_GAMMA,A_GAMMA5, A_SQRT2, A_CC, A_GRASS, A_ANTI, A_GLUON,
    A_VEV, A_ORTH_MATR, A_CHNAME, A_TEXNAME, A_EM_CHARGE, A_CSPINOR,
    A_SET_ANGLE, A_TRIG_FU, A_INFINITESIMAL;
Atom OPR_ALIAS, OPR_WHERE, OPR_USE, OPR_COEFF;

/*
:- op(1150,fx,[parameter,model,particle,lterm,let,group,field]).
:- op(1050, fx,[vector,scalar,spinor]).
:- op(1140,xfx,where).
:- op(450,xfy,:).
:- op(800,fx,[mass,width,color,name]).
:- op(200,xfx,**).
*/

void InitAtoms1(void)
	{

	A_RBRA=NewAtom("(",0);
	A_RCET=NewAtom(")",0);
	A_FBRA=NewAtom("{",0);
	A_FCET=NewAtom("}",0);
	A_QBRA=NewAtom("[",0);
	A_QCET=NewAtom("]",0);
	A_FBRACET=NewAtom("{}",0);
	A_QBRACET=NewAtom("[]",0);
	A_POINT=NewAtom(".",0);
	OPR_COMMA=A_COMMA=NewAtom(",",0);
	OPR_SECO=A_SECO=NewAtom(";",0);
	A_QUOTE=NewAtom("'",0);
	A_RQUOTE=NewAtom("`",0);
	A_DQUOTE=NewAtom("\"",0);
	A_I=NewAtom("i",0);
	A_LORENTZ=NewAtom("lorentz",0);
	A_MTERM=NewAtom("mterm",0);
	A_ALG1=NewAtom("alg1",0);
	A_ALG2=NewAtom("alg2",0);
	A_DELTA=NewAtom("delta",0);
	A_GAMMA=NewAtom("gamma",0);
	A_GAMMA5=NewAtom("gamma5",0);
	A_MOMENT=NewAtom("moment",0);
	OPR_WHERE=NewAtom("where",0);
	A_SQRT2=NewAtom("Sqrt2",0);
	A_SQRT=NewAtom("Sqrt",0);
	A_COS=NewAtom("cos",0);
	A_SIN=NewAtom("sin",0);
	A_CC=NewAtom("cc",0);
	A_GRASS=NewAtom("grasman",0);
	A_ANTI=NewAtom("anti",0);
	A_GLUON=NewAtom("G",0);
	A_VEV=NewAtom("_vac_exp_val_",0);
	A_ORTH_MATR=NewAtom("OrthMatrix",0);
	A_CHNAME=NewAtom("CompHEP name",0);
	A_TEXNAME=NewAtom("texname",0);
	A_EM_CHARGE=NewAtom("em_charge",0);
	A_CSPINOR=NewAtom("cspinor",0);
    A_SET_ANGLE=NewAtom("_set_angle_",0);
	A_TRIG_FU=NewAtom("trig_func",0);
	A_INFINITESIMAL=NewAtom("infinitesimal",0);


	OP_FX=NewAtom("fx",0);	OP_FY=NewAtom("fy",0);
	OP_XF=NewAtom("xf",0);	OP_YF=NewAtom("yf",0);
	OP_XFX=NewAtom("xfx",0);
	OP_YFX=NewAtom("yfx",0);OP_XFY=NewAtom("xfy",0);
    OP_INFIX=NewAtom("infix",0);
    OP_PREFIX=NewAtom("prefix",0);
    OP_POSTFIX=NewAtom("postfix",0);

	A_LEFT=NewAtom("left",0);
	A_RIGHT=NewAtom("right",0);
	A_COLOR=NewAtom("color",0);
    A_S_COLOR=NewAtom("split_color",0);
	A_COLOR_LAMBDA=NewAtom("__color_lambda__",0);
	A_COLOR_F=NewAtom("__color_stru_cont__",0);
	A_GAUGE=NewAtom("gauge",0);
	A_GHOST=NewAtom("ghost",0);
	A_END=NewAtom("end",0);
	PROP_TYPE=NewAtom("type",0);
	PROP_INDEX=NewAtom("indices",0);
	OPR_PLUS=NewAtom("+",0);
	OPR_MINUS=NewAtom("-",0);
	OPR_MLT=NewAtom("*",0);
	OPR_DIV=NewAtom("/",0);
	OPR_POW=NewAtom("**",0);
	OPR_CARET=NewAtom("^",0);
	OPR_EQSIGN=NewAtom("=",0);
	OPR_COLON=NewAtom(":",0);
	OPR_USCORE=NewAtom("_",0);
	OPR_RARROW=NewAtom("->",0);
	OPR_PARAMETER=NewAtom("parameter",0);
	OPR_PARTICLE=NewAtom("particle",0);
	OPR_FIELD=NewAtom("field",0);
	OPR_GROUP=NewAtom("group",0);
	OPR_REPRES=NewAtom("repres",0);
	OPR_READ=NewAtom("read",0);
	OPR_EDIT=NewAtom("edit",0);
	OPR_SCALAR=NewAtom("scalar",0);
	OPR_VECTOR=NewAtom("vector",0);
	OPR_SPINOR=NewAtom("spinor",0);
	OPR_TENSOR=NewAtom("tensor",0);
	OPR_LET=NewAtom("let",0);
	OPR_LTERM=NewAtom("lterm",0);
	OPR_MASS=NewAtom("mass",0);
	OPR_WIDTH=NewAtom("width",0);
	OPR_MODEL=NewAtom("model",0);
	OPR_CLEAR=NewAtom("clear",0);
	OPR_SPECIAL=NewAtom("special",0);
	OPR_WILD=NewAtom("wild",0);
	OPR_FUNCTION=NewAtom("function",0);
	OPR_ALIAS=NewAtom("alias",0);
	OPR_USE=NewAtom("use",0);
	OPR_COEFF=NewAtom("coeff",0);


	SetOperator(OPR_PLUS,OP_YFX,500);
	SetOperator(OPR_MINUS,OP_YFX,500);
	SetOperator(OPR_MLT,OP_YFX,400);
	SetOperator(OPR_DIV,OP_YFX,400);
	SetOperator(OPR_MINUS,OP_FX,499);
	SetOperator(OPR_CARET,OP_XFY,200);
	SetOperator(OPR_USCORE,OP_XFY,200);
	SetOperator(OPR_POW,OP_XFX,100);
	SetOperator(OPR_COMMA,OP_XFY,1100);
	SetOperator(OPR_SECO,OP_XFY,1200);
	SetOperator(OPR_EQSIGN,OP_XFY,700);
	SetOperator(OPR_RARROW,OP_XFY,700);
	SetOperator(OPR_COLON,OP_XFX,600);
	SetOperator(OPR_PARAMETER,OP_FX,1250);
	SetOperator(OPR_PARTICLE,OP_FX,1250);
	SetOperator(OPR_FIELD,OP_FX,1250);
	SetOperator(OPR_GROUP,OP_FX,1250);
	SetOperator(OPR_REPRES,OP_FX,1250);
	SetOperator(OPR_READ,OP_FX,1250);
	SetOperator(OPR_EDIT,OP_FX,1250);
	SetOperator(OPR_SCALAR,OP_FX,1150);
	SetOperator(OPR_VECTOR,OP_FX,1150);
	SetOperator(OPR_SPINOR,OP_FX,1150);
	SetOperator(OPR_LET,OP_FX,1275);
	SetOperator(OPR_LTERM,OP_FX,1275);
	SetOperator(OPR_WHERE,OP_XFX,1225);
	SetOperator(OPR_MASS,OP_FX,800);
	SetOperator(OPR_WIDTH,OP_FX,800);
	SetOperator(A_TEXNAME,OP_FX,800);
	SetOperator(OPR_MODEL,OP_FX,1250);
	SetOperator(OPR_CLEAR,OP_FX,1250);
	SetOperator(OPR_SPECIAL,OP_FX,1250);
	SetOperator(OPR_WILD,OP_FX,800);
	SetOperator(OPR_USE,OP_FX,1250);
	SetOperator(NewAtom("eval",0),OP_FX,1250);
	SetOperator(NewAtom("transform",0),OP_FX,1250);
	SetOperator(A_INFINITESIMAL,OP_FX,1250);
	SetOperator(OPR_COEFF,OP_FX,1250);

	}

  
