#include <stdio.h>
#include "terms.h"
#include "ga.h"

		
int add_gh_vrt=0;
		
static List fit_prt(Atom *a1, Atom *a2, int ano)
	{
	char ft[8],used[8];
	int i,j;
	List ret;
	for(i=0;i<8;i++)
		ft[i]=used[i]=0;
		
	for(i=0;i<ano;i++)
		{
		for(j=0;j<ano;j++)
			{
			if(used[j]==0 && a1[i]==a2[j])
				{
				used[j]=1;
				ft[i]=j;
				break;
				}
			}
		if(j==ano)
			return 0;
		}
	ret=NewList();
	for(i=0;i<ano;i++)
		ret=AppendLast(ret,NewInteger(ft[i]+1));
	return ret;
	}
		

int find_vrt(Term diagr)
	{
	List l;
	int pno;
	l=CompoundArg2(diagr);
	
	while(!is_empty_list(l))
		{
		List lp,l1,lpos=0;
		Atom parr[8];
		int i,has_gh;
		
		lp=CompoundArg1(ListFirst(l));
		i=0;
		l1=lp;
		while(!is_empty_list(l1))
			{
			parr[i]=ListFirst(l1);
			i++;
			l1=ListTail(l1);
			}
		pno=i;
			
		l1=vertices;
		
		while(!is_empty_list(l1))
			{
			List prt,l2;
			Atom parr1[8];
			prt=CompoundArg1(ListFirst(l1));
			l2=prt;
			i=0;
			while(!is_empty_list(l2))
				{
				parr1[i]=CompoundArg1(ListFirst(l2));
				i++;
				l2=ListTail(l2);
				}
				
			if(i!=pno)
				goto cnt;
			
			has_gh=0;
			if(add_gh_vrt)
			{
				for(i=0;i<pno;i++)
				{
					Term prp;
					prp=GetAtomProperty(parr1[i],PROP_TYPE);
					if(is_compound(prp) && CompoundName(prp)==OPR_FIELD)
					{
						parr1[i]=CompoundArg1(prp);
						has_gh=1;
					}
				}
			}
			
			lpos=fit_prt(parr1,parr,pno);
			
			if(lpos && has_gh==0) /* Nedodelano!!!! */
				break;
			
		cnt:
			l1=ListTail(l1);
			}
		if(is_empty_list(l1))
			{
			printf("Can not find vertex for ");
			WriteTerm(lp);
			puts("");
			return 0;
			}
/*
		WriteTerm(ListFirst(l)); puts("");
		WriteTerm(ListFirst(l1)); puts("");
		WriteTerm(lpos); puts("\n"); getchar();
*/
		SetCompoundArg(ListFirst(l),5,CopyTerm(ListFirst(l1)));
		SetCompoundArg(ListFirst(l),6,lpos);
		l=ListTail(l);
		}
	l=CompoundArg2(diagr);
	return 1;
	}
		
	
